Subject: Re: [PATCH V2 5/9] Main rewite of the mpc5200 audio DMA code

From: Wolfram Sang <[email-masked]>
Date: Sun, 24 May 2009 22:35:07 +0200

On Sun, May 24, 2009 at 04:10:52PM -0400, Jon Smirl wrote:
> On Sun, May 24, 2009 at 2:55 PM, Wolfram Sang <[email-masked]> wrote:
> >> Rewrite the mpc5200 audio DMA code to support both I2S and AC97. Make it more robust.
> >
> > Why is it more robust?
> 
> I've implemented retries for when the AC97 hardware doesn't reset on
> first try. About 10% of the time both the Efika and pcm030 AC97 codecs
> don't reset on first try and need to be poked multiple times.  Failure
> is indicated by not having the link clock start ticking. Every once in
> a while even five pokes won't get the link started and I have to power
> cycle.
> 
> I don't have an oscilloscope, after I get these basic drivers in maybe
> someone can put a scope on this and figure out why reset is failing.
> I've read the various datasheets and I believe my reset pulses have
> the correct timings.

That's good to know. In fact, I think a summary of this should go into the
patch description.

-- 
Pengutronix e.K.                           | Wolfram Sang                |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |